Page MenuHomePhabricator

setup: copy pythonXY.dll next to the hg.exe wrapper when building
ClosedPublic

Authored by mharbison72 on Nov 21 2020, 4:22 PM.

Details

Summary

This avoids the problem of having the newly built binary complaining that it
can't find the DLL. There is an option in the python.org installer to add the
python install to PATH (which defaulted to "on" with py2, and therefore was not
an issue up to this point), but that makes switching between python versions
harder.

This shouldn't be an issue with the PyOxidizer binary, but that current has
issues running some of the tests, and took noticeably longer to build last time
I tried it.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mharbison72 created this revision.Nov 21 2020, 4:22 PM
Alphare accepted this revision.Nov 23 2020, 10:41 AM
pulkit accepted this revision.Nov 26 2020, 7:44 AM
This revision is now accepted and ready to land.Nov 26 2020, 7:44 AM